NXOpen .NET Reference  12.0.0
Public Member Functions | Properties | List of all members
NXOpen.Drawings.SectionLineSegmentsBuilder Class Reference

Represents a class Drawings. More...

Inheritance diagram for NXOpen.Drawings.SectionLineSegmentsBuilder:

Public Member Functions

unsafe void UpdateAfterParentViewMove ()
 Update the section line segments builder in case of parent view move More...
 

Properties

unsafe NXOpen.Point RotationPoint [get, set]
 Returns or sets the rotation point More...
 
unsafe NXOpen.Point3d SectionLineOnlyPlacementOrigin [get, set]
 Returns or sets the section line only placement origin center in inferred mode More...
 
unsafe
NXOpen.Drawings.SectionLineSegmentPointListBuilder 
SegmentLocation [get]
 Returns the segment location More...
 
unsafe
NXOpen.Drawings.SectionLineSegmentPointListBuilder 
SegmentLocationForSecondLeg [get]
 Returns the segment location to add segments to revolved section line second leg More...
 
unsafe bool SingleLeg [get, set]
 Returns or sets the single leg More...
 

Detailed Description

Represents a class Drawings.

SectionLineSegmentsBuilder.

Created in NX10.0.0

Member Function Documentation

unsafe void NXOpen.Drawings.SectionLineSegmentsBuilder.UpdateAfterParentViewMove ( )

Update the section line segments builder in case of parent view move

Created in NX10.0.0

License requirements: drafting ("DRAFTING")

Property Documentation

unsafe NXOpen.Point NXOpen.Drawings.SectionLineSegmentsBuilder.RotationPoint
getset

Returns or sets the rotation point

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Point3d NXOpen.Drawings.SectionLineSegmentsBuilder.SectionLineOnlyPlacementOrigin
getset

Returns or sets the section line only placement origin center in inferred mode

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Drawings.SectionLineSegmentPointListBuilder NXOpen.Drawings.SectionLineSegmentsBuilder.SegmentLocation
get

Returns the segment location

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.Drawings.SectionLineSegmentPointListBuilder NXOpen.Drawings.SectionLineSegmentsBuilder.SegmentLocationForSecondLeg
get

Returns the segment location to add segments to revolved section line second leg

Created in NX10.0.0

License requirements: None.

unsafe bool NXOpen.Drawings.SectionLineSegmentsBuilder.SingleLeg
getset

Returns or sets the single leg

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: None.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.